### TSP: modello ###
####################

#INSIEMI
set N; 			#insieme dei nodi

#PARAMETRI
param costo{N,N};	#costi di viaggio

#VARIABILI
var x{N,N} >=0;		#archi nel ciclo hamiltoniano

#FUNZIONE OBIETTIVO
minimize 	costo_totale:	sum {i in N, j in N} costo[i,j] * x[i,j];

#VINCOLI
subject to	uscita {i in N}:
		sum{j in N} x[i,j] = 1;

subject to	entrata {j in N}:
		sum{i in N} x[i,j] = 1;


#altri vincoli di eliminazione dei sotto cicli